Bug 200151 - Review Request: perl-POE-Wheel-Null
Review Request: perl-POE-Wheel-Null
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 200152
  Show dependency treegraph
 
Reported: 2006-07-25 14:44 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-27 11:04:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-07-25 14:44:15 EDT
Spec URL: http://home.comcast.net/~ckweyl/perl-POE-Wheel-Null.spec
SRPM URL: http://home.comcast.net/~ckweyl/perl-POE-Wheel-Null-0.01-0.fc5.src.rpm

Description: 
POE::Wheel::Null creates a wheel which doesn't do anything upon put(), and
doesn't send any events to the current session.

Its function is the same as those pipes in the Enterprise's engine room
marked "GNDN".
Comment 1 Jason Tibbitts 2006-07-26 19:55:43 EDT
Well, this is pretty simple.  The only comment I have is that the extra bit in
the description is pretty obscure (I'm not a Star Trek fan and had to look it
up, geek cred--) and doesn't seem to come from the description in the package's
documentation.

Review:
* source files match upstream:
   8abee8da7a141aca6c0bff6517ca8497  POE-Wheel-Null-0.01.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper (BR: perl is not necessary)
* noarch package; no compiler flags are passed.
* %clean is present.
* package builds in mock (development, x86_64).
* noarch package; no debuginfo.
* rpmlint is silent.
* final provides and requires are sane:
   perl(POE::Wheel::Null) = 0.01
   perl-POE-Wheel-Null = 0.01-0.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(POE)
   perl(base)
   perl(strict)
   perl(vars)
* %check is present and all tests (test?) pass:
   All tests successful.
   Files=1, Tests=1,  0 wallclock secs ( 0.01 cusr +  0.01 csys =  0.02 CPU)
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
  (Technically the documentation is twice the size of the code, but the whole
package is only 5K.)
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 Chris Weyl 2006-07-27 11:04:49 EDT
"D*mnit Jim, I'm a reviewing-machine, not a moon shuttle engineer!" :)

+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching (FC-5)
+Close bug

Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.